Package org.apache.avro.perf.test.generic

# Class GenericNestedFakeTest.TestStateEncode

java.lang.Object
org.apache.avro.perf.test.BasicState
org.apache.avro.perf.test.generic.GenericNestedFakeTest.TestStateEncode

Direct Known Subclasses:
  `GenericNestedFakeTest_TestStateEncode_jmhType_B1`

Enclosing class:
  `GenericNestedFakeTest`

public static class GenericNestedFakeTest.TestStateEncode extends BasicState

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`TestStateEncode()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doSetupTrial()`
Setup the trial data.

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestStateEncode

public TestStateEncode()

## Method Details

### doSetupTrial

public void doSetupTrial() throws Exception
Setup the trial data.

Throws:
  `IOException` - Could not setup test data
  `Exception`